| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::mpi::allocator::rebind — Retrieve the type of an allocator similar to this allocator but for a different value type.

## Synopsis

    // In header: <boost/mpi/allocator.hpp>

    // Retrieve the type of an allocator similar to this allocator but for a
    // different value type.
    template<typename U>
    struct rebind {
      // types
      typedef allocator< U > other;
    };